%if 0%{?rhel} && 0%{?rhel} <= 6
%{!?__python2: %global __python2 /usr/bin/python2}
%{!?python2_sitelib: %global python2_sitelib %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%endif

%global mod_name shadowsocks

Name:           python-shadowsocks
Version:        2.2.1
Release:        1%{?dist}
Summary:        A fast tunnel proxy that help you get through firewalls

License:        MIT
URL:            http://shadowsocks.org/
Source0:        https://pypi.python.org/packages/source/s/%{mod_name}/%{mod_name}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python2-devel
BuildRequires:  python-setuptools
BuildRequires:  m2crypto
Requires:       m2crypto

%description
Shadowsocks is a socks5 tunnel proxy, designed to secure your Internet
traffic.

This package contains the client and server implementation for Shadowsocks in
Python 2.


%prep
%setup -q -n %{mod_name}-%{version}
# remove shebangs in the module files
sed -i -e '/^#!\//, 1d' %{mod_name}/*.py
# explicitly remove the included egg
rm -fr %{mod_name}*.egg-info

%build
%{__python2} setup.py build

%install
%{__python2} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

%check
%{__python2} setup.py test

%files
%doc README.rst LICENSE
%{_bindir}/*
%{python2_sitelib}/%{mod_name}*


%changelog
* Sat Sep 13 2014 Robin Lee <cheeselee@fedoraproject.org> - 2.2.1-1
- Update to 2.2.1

* Tue Jul 15 2014 Robin Lee <cheeselee@fedoraproject.org> - 2.0.11-1
- Update to 2.0.11, LICENSE included
- Explicitly remove the included egg

* Sat Jul 12 2014 Robin Lee <cheeselee@fedoraproject.org> - 2.0.10-2
- BuildRequires python2-setuptools

* Sat Jul 12 2014 Robin Lee <cheeselee@fedoraproject.org> - 2.0.10-1
- Update to 2.0.10
- Requries and BuildRequires m2crypto

* Sun Jul  6 2014 Robin Lee <cheeselee@fedoraproject.org> - 2.0.8-2
- Explicitly use python2 macros

* Sat Jun 28 2014 Robin Lee <cheeselee@fedoraproject.org> - 2.0.8-1
- Initial package for Fedora
